# Class goog.labs.testing.StringContainsInOrderMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The StringContainsInOrdermatcher.

## Constructor

goog.labs.testing.StringContainsInOrderMatcher ( values )

Parameters

values: `Array.<string>`
  The expected string values.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( actualValue ) ⇒ `string`

Parameters

actualValue

code » matches ( actualValue ) ⇒ `boolean`

Determines if input string contains, in order, the expected array of strings.

Parameters

actualValue

## Instance Properties

code » values_ : `Array.<string>`